XPI FF 3.6.3 Compatible Rated 4 out of 5 stars

The below link has an .xpi works on my FF 3.6.3

====================== =======================
Installed Firefox 3.5 but Duplicate tab isn’t working? | nickriebe.com
September 12, 2009
http://nickriebe.com/installing-to-firefox-3-5-but-duplicate-tab-isnt-working/